import request from '@/utils/request'

// 查询app-公司人员列表
export function listMallAppCompanyUser(query) {
  return request({
    url: '/mall/mallAppCompanyUser/list',
    method: 'get',
    params: query
  })
}

// 查询app-公司人员详细
export function getMallAppCompanyUser(companyUserId) {
  return request({
    url: '/mall/mallAppCompanyUser/' + companyUserId,
    method: 'get'
  })
}

// 新增app-公司人员
export function addMallAppCompanyUser(data) {
  return request({
    url: '/mall/mallAppCompanyUser',
    method: 'post',
    data: data
  })
}

// 修改app-公司人员
export function updateMallAppCompanyUser(data) {
  return request({
    url: '/mall/mallAppCompanyUser',
    method: 'put',
    data: data
  })
}

// 删除app-公司人员
export function delMallAppCompanyUser(companyUserId) {
  return request({
    url: '/mall/mallAppCompanyUser/' + companyUserId,
    method: 'delete'
  })
}

// 导出app-公司人员
export function exportMallAppCompanyUser(query) {
  return request({
    url: '/mall/mallAppCompanyUser/export',
    method: 'get',
    params: query
  })
}

// 查询业务员列表
export function selectAppSalesmanList(query) {
  return request({
    url: '/mall/mallAppCompanyUser/selectAppSalesmanList',
    method: 'get',
    params: query
  })
}
